Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.algorithm
Class RobustLineIntersector

    java.lang.Object
      com.vividsolutions.jts.algorithm.LineIntersector
          com.vividsolutions.jts.algorithm.RobustLineIntersector

    public class RobustLineIntersector

extends LineIntersector

A robust version of `LineIntersector`.

Version:
  1.7
See Also:
  `RobustDeterminant`

Field Summary

Fields inherited from class com.vividsolutions.jts.algorithm.LineIntersector
`COLLINEAR, COLLINEAR_INTERSECTION, DO_INTERSECT, DONT_INTERSECT, inputLines, intLineIndex, intPt, isProper, NO_INTERSECTION, pa, pb, POINT_INTERSECTION, precisionModel, result`

Constructor Summary
`RobustLineIntersector()`

Method Summary
`protected int` | `computeIntersect(Coordinate p1, Coordinate p2, Coordinate q1, Coordinate q2)`
`void` | `computeIntersection(Coordinate p, Coordinate p1, Coordinate p2)` Compute the intersection of a point p and the line p1-p2.

Methods inherited from class com.vividsolutions.jts.algorithm.LineIntersector
`computeEdgeDistance, computeIntersection, computeIntLineIndex, computeIntLineIndex, getEdgeDistance, getEndpoint, getIndexAlongSegment, getIntersection, getIntersectionAlongSegment, getIntersectionNum, hasIntersection, isCollinear, isEndPoint, isInteriorIntersection, isInteriorIntersection, isIntersection, isProper, nonRobustComputeEdgeDistance, setMakePrecise, setPrecisionModel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RobustLineIntersector

    public RobustLineIntersector()

Method Detail

### computeIntersection

    public void computeIntersection(Coordinate p,
                                    Coordinate p1,
                                    Coordinate p2)

  Description copied from class: `LineIntersector`
  Compute the intersection of a point p and the line p1-p2. This function computes the boolean value of the hasIntersection test. The actual value of the intersection (if there is one) is equal to the value of `p`.

  Specified by:
    `computeIntersection` in class `LineIntersector`

### computeIntersect

    protected int computeIntersect(Coordinate p1,
                                   Coordinate p2,
                                   Coordinate q1,
                                   Coordinate q2)

  Specified by:
    `computeIntersect` in class `LineIntersector`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD